/**
 * @name 我能看什么
 * @author 奶糖也不是很甜
 * @version 1.1.0
 */


import * as mc from "@minecraft/server"
import { lookBlock } from "./look/lookBlock"
import { lookEntity } from "./look/lookEntity"
import { setting, entityInitialize, blockInitialize, playerInitialize, initialize, help } from "./setting/setting"
import * as config from "./config"
mc.system.runInterval(() => {
     mc.world.getAllPlayers().forEach(player => {
          disPlay(player)
          entityInitialize(player)
          blockInitialize(player)
          playerInitialize(player)
          initialize(player)
     })
})
function disPlay(player) {
     const entity = player.getEntitiesFromViewDirection({
          maxDistance: player.getDynamicProperty('生物距离')
     })[0]?.entity
     const block = player.getBlockFromViewDirection({
          maxDistance: player.getDynamicProperty('方块距离')
     })?.block
     const hand = player.getComponent(mc.EntityComponentTypes.Equippable).getEquipment("Mainhand")

     if (entity) {
          try {
               lookEntity(player, entity)
          } catch (error) {
               try {
                    console.error("Cause Of Error:\n", error)
                    lookBlock(player, block, hand)
               } catch {}
          }
     } else if (block) {
          lookBlock(player, block, hand)
     }else if (entity && lookEntity(player, entity) == undefined) {
          lookBlock(player, block, hand)
     }
     

}

setting()
mc.world.afterEvents.playerJoin.subscribe((a) => {
     mc.system.runTimeout(() => {
          mc.world.getAllPlayers().forEach(player => {
               if (a.playerName == player.name) {
                    help(player)
               }
          })
     }, config.TipsLatency)
})
////////////////////////////////////////////////////////////////////
//                          _ooOoo_                               //
//                         o8888888o                              //
//                         88" . "88                              //
//                         (| ^_^ |)                              //
//                         O\  =  /O                              //
//                      ____/`---'\____                           //
//                    .'  \\|     |//  `.                         //
//                   /  \\|||  :  |||//  \                        //
//                  /  _||||| -:- |||||-  \                       //
//                  |   | \\\  -  /// |   |                       //
//                  | \_|  ''\---/''  |   |                       //
//                  \  .-\__  `-`  ___/-. /                       //
//                ___`. .'  /--.--\  `. . ___                     //
//              ."" '<  `.___\_<|>_/___.'  >'"".                  //
//            | | :  `- \`.;`\ _ /`;.`/ - ` : | |                 //
//            \  \ `-.   \_ __\ /__ _/   .-` /  /                 //
//      ========`-.____`-.___\_____/___.-`____.-'========         //
//                           `=---='                              //
//      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^        //
//         佛祖保佑       永无BUG     永不修改                      //
////////////////////////////////////////////////////////////////////