// 此配置文件用来配置显示挖掘的方块id

import { toolName } from "../tool/tool"
export { blockTags, cannotDestruction, useHand, useSword, usePickaxe, useAxe, useShovel, useHoe, useShears }

// 用于标签的方块
let blockTags = [{
    "tag": "stone",//标签名
    "level": 1,//工具等级
    "tool": toolName.pickaxe//工具类型(类型定义在'tool.js'内)
},
{
    "tag": "grass",
    "hand": true,//可以被手挖掘，true是允许，false是不允许，可不填
    "level": 1,
    "tool": toolName.shovel
},
{
    "tag": "wood",
    "hand": true,
    "level": 1,
    "tool": toolName.axe
},
{
    "tag": "log",
    "hand": true,
    "level": 1,
    "tool": toolName.axe
}, {
    "tag": "pumpkin",
    "hand": true,
    "level": 1,
    "tool": toolName.axe
}, {
    "tag": "metal",
    "hand": false,
    "level": 2,
    "tool": toolName.pickaxe
},{
    "tag": "one_way_collidable",
    "hand": false,
    "level": 2,
    "tool": toolName.pickaxe
},{
    "tag": "stone_pick_diggable",
    "hand": false,
    "level": 2,
    "tool": toolName.pickaxe
}, {
    "tag": "iron_pick_diggable",
    "hand": false,
    "level": 3,
    "tool": toolName.pickaxe
}, {
    "tag": "diamond_pick_diggable",
    "hand": false,
    "level": 4,
    "tool": toolName.pickaxe
}, {
    "tag": "dirt",
    "hand": true,
    "level": 1,
    "tool": toolName.shovel
}, {
    "tag": "sand",
    "hand": true,
    "level": 1,
    "tool": toolName.shovel
}, {
    "tag": "gravel",
    "hand": true,
    "level": 1,
    "tool": toolName.shovel
}, {
    "tag": "snow",
    "hand": true,
    "level": 1,
    "tool": toolName.shovel
}, {
    "tag": "rail",
    "hand": false,
    "level": 2,
    "tool": toolName.pickaxe
}, {
    "tag": "mob_spawner",
    "hand": false,
    "level": 1,
    "tool": toolName.pickaxe
}, {
    "tag": "text_sign",
    "hand": true,
    "level": 1,
    "tool": toolName.axe
}]
let cannotDestruction = ["bedrock", "command_block","end_gateway","end_portal","end_portal_frame"]//无法被挖掘的方块
let useHand = ["melon_block","mangrove_planks", "mangrove_stairs", "cherry_planks","cherry_door", "cherry_stairs", "cherry_fence", "crimson_stem", "stripped_crimson_stem", "crimson_hyphae", "crimson_planks", "crimson_door", "crimson_trapdoor","crimson_fence",
    "crimson_fence_gate","warped_stem", "stripped_warped_stem", "warped_hyphae", "warped_planks", "warped_door", "warped_trapdoor","warped_fence",
    "warped_fence_gate","crafting_table","chest","soul_sand"
]//可以用手挖掘的方块
let useSword = {}//可以被剑破坏的方块
let usePickaxe = { 
    "quartz_ore": 1,
    "nether_gold_ore": 1,
    "ancient_debris": 4,
    "coal_ore": 1,
    "iron_ore": 2,
    "copper_ore": 2,
    "gold_ore": 3,
    "lapis_ore": 2,
    "redstone_ore": 3,
    "lit_redstone_ore": 3,
    "diamond_ore": 3,
    "emerald_ore": 3,
    "deepslate_coal_ore": 1,
    "deepslate_iron_ore": 2,
    "deepslate_copper_ore": 2,
    "deepslate_gold_ore": 3,
    "deepslate_lapis_ore": 2,
    "deepslate_redstone_ore": 3,
    "lit_deepslate_redstone_ore": 3,
    "deepslate_diamond_ore": 3,
    "deepslate_emerald_ore": 3,"furnace":1,"netherrack":1}//可以被镐子破坏的方块
let useAxe = { "melon_block":1,"mangrove_planks": 1, "mangrove_stairs": 1, "cherry_planks": 1, "cherry_door":1,"cherry_stairs": 1, "cherry_fence": 1, "crimson_stem": 1, "stripped_crimson_stem": 1, "crimson_hyphae": 1, "crimson_planks": 1, "crimson_door": 1, "crimson_trapdoor": 1,"crimson_fence":1,
    "crimson_fence_gate":1,"warped_stem": 1, "stripped_warped_stem": 1, "warped_hyphae": 1, "warped_planks": 1, "warped_door": 1, "warped_trapdoor": 1,"warped_fence":1,
"warped_fence_gate":1 ,"crafting_table":1,"chest":1
 }//可以被斧头破坏的方块
let useShovel = {"soul_sand":1,}//可以被铲子破坏的方块
let useHoe = {}//可以被锄头破坏的方块
let useShears = {
    "oak_leaves": 1,
    "spruce_leaves": 1,
    "birch_leaves": 1,
    "jungle_leaves": 1,
    "acacia_leaves": 1,
    "dark_oak_leaves": 1,
    "mangrove_leaves": 1,
    "cherry_leaves": 1,
    "azalea_leaves": 1,
    "azalea_leaves_flowered": 1,
    "pale_oak_leaves": 1
}//可以被剪刀破坏的方块

