/** 工具类型添加教程：
 * 在tool数组中添加工具类型
 * 在toolLevel对象中添加工具等级
 * 在toolName对象中添加工具名字
 * 最后请到toolLevel.js中
 */
export let tool = {
    "wooden": ["wooden_sword", "wooden_pickaxe", "wooden_axe", "wooden_shovel", "wooden_hoe"],
    "stone": ["stone_sword", "stone_pickaxe", "stone_axe", "stone_shovel", "stone_hoe"],
    "golden": ["golden_sword", "golden_pickaxe", "golden_axe", "golden_shovel", "golden_hoe"],
    "iron": ["iron_sword", "iron_pickaxe", "iron_axe", "iron_shovel", "iron_hoe"],
    "diamond": ["diamond_sword", "diamond_pickaxe", "diamond_axe", "diamond_shovel", "diamond_hoe"],
    "netherite": ["netherite_sword", "netherite_pickaxe", "netherite_axe", "netherite_shovel", "netherite_hoe"],
    "shears":["shears"]
}

export let toolLevel = {
    "hand": 0,
    "shears":1,
    "wooden": 1,//木和金同级
    "stone": 2,
    "iron": 3,
    "diamond": 4,
    "netherite": 5
}

export let toolName = {
    "hand": "Hand",
    "sword": "Sword",
    "pickaxe": "Pickaxe",
    "axe": "Axe",
    "shovel": "Shovel",
    "hoe": "Hoe",
    "shears":"Shears",
    "cannotDestruction":"§cInvincible§r"
}